# Class TCefKeyboardHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFKeyboardHandler

## Declaration

`type TCefKeyboardHandlerOwn = class(TCefBaseRefCountedOwn, ICefKeyboardHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefKeyboardHandlerOwn

## Overview

### Methods

| `function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;`
| `function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;`
| `procedure RemoveReferences; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function OnPreKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle; out isKeyboardShortcut: Boolean): Boolean; virtual;`
This item has no description. Showing description inherited from ICefKeyboardHandler.OnPreKeyEvent. Called before a keyboard event is sent to the renderer. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the event was handled or false (0) otherwise. If the event will be handled in on_key_event() as a keyboard shortcut set |is_keyboard_shortcut| to true (1) and return false (0).

| `function OnKeyEvent(const browser: ICefBrowser; const event: PCefKeyEvent; osEvent: TCefEventHandle): Boolean; virtual;`
This item has no description. Showing description inherited from ICefKeyboardHandler.OnKeyEvent. Called after the renderer and JavaScript in the page has had a chance to handle the event. |event| contains information about the keyboard event. |os_event| is the operating system event message, if any. Return true (1) if the keyboard event was handled or false (0) otherwise.

| `procedure RemoveReferences; virtual;`
This item has no description. Showing description inherited from ICefKeyboardHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.